Mail archive
alpine-aports

[alpine-aports] [PATCH] main/php-apcu: APKBUILD recreated with apkbuild-pecl. No rebuild needed.

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Sat, 7 Nov 2015 01:15:13 +0200

---
 main/php-apcu/APKBUILD | 45 ++++++++++++++++++++++-----------------------
 main/php-apcu/apcu.ini |  1 -
 2 files changed, 22 insertions(+), 24 deletions(-)
 delete mode 100644 main/php-apcu/apcu.ini
diff --git a/main/php-apcu/APKBUILD b/main/php-apcu/APKBUILD
index 746b145..050e885 100644
--- a/main/php-apcu/APKBUILD
+++ b/main/php-apcu/APKBUILD
_at_@ -1,38 +1,37 @@
-# Contributor: Carlo Landmeter <clandmeter_at_gmail.com>
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
 # Maintainer: Carlo Landmeter <clandmeter_at_gmail.com>
 pkgname=php-apcu
+_pkgreal=apcu
 pkgver=4.0.7
+_pkgver=${pkgver/_rc/RC}
 pkgrel=1
-pkgdesc="APC User Cache"
-url="http://pecl.php.net/package/APCu"
+pkgdesc="PHP extension APC User Cache"
+url="http://pecl.php.net/package/$_pkgreal"
 arch="all"
 license="PHP"
-depends="php"
-makedepends="php-dev autoconf pcre-dev"
+depends=
+pecldepends="php-dev autoconf"
+makedepends="$pecldepends pcre-dev"
+install=""
 subpackages=""
-source="http://pecl.php.net/get/apcu-$pkgver.tgz
-	apcu.ini"
+source="http://pecl.php.net/get/$_pkgreal-$_pkgver.tgz"
+
+_builddir="$srcdir"/$_pkgreal-$_pkgver
 
 build() {
-	cd "$srcdir/apcu-${pkgver}"
+	cd "$_builddir"
 	phpize || return 1
-	./configure \
-		--build=$CBUILD \
-		--host=$CHOST \
-		--with-php-config=/usr/bin/php-config \
-		|| return 1
-		make || return 1
+	./configure --prefix=/usr || return 1
+	make || return 1
 }
 
 package() {
-	cd "$srcdir/apcu-${pkgver}"
-	make INSTALL_ROOT=$pkgdir install || return 1
-	install -D -m644 "$srcdir"/apcu.ini "$pkgdir"/etc/php/conf.d/apcu.ini
+	cd "$_builddir"
+	make INSTALL_ROOT="$pkgdir"/ install || return 1
+	install -d "$pkgdir"/etc/php/conf.d || return 1
+	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php/conf.d/$_pkgreal.ini
 }
 
-md5sums="9feb03d3e5217242a39244964f098b52  apcu-4.0.7.tgz
-63cdaa57c6c9a68ce51c0862bc1b74a0  apcu.ini"
-sha256sums="178a731ee3435b451f1144bc4a63c9d70d4909a2c434e17c6e07db554df90bd6  apcu-4.0.7.tgz
-923e8d58d32fbb9bf6b4835948f6c88daa3c58d462ecec574eedf5a075903f14  apcu.ini"
-sha512sums="50db51358c9268cc5fdd0d48fb444be9e9356f1690bc1ae021a9618c8819ce8873bf4502fe87a10467ffda2ef38267ccca2af55152b064400c69a8da92b7e98b  apcu-4.0.7.tgz
-de01049d781a48b2a05b2a9bf0cc947ddf2cde8bc46885f3b761d82c82dc03afaf1e6a167aa9716e3b2e8e90992b4c99618da32a1f11e153960803cd7668d177  apcu.ini"
+md5sums="9feb03d3e5217242a39244964f098b52  apcu-4.0.7.tgz"
+sha256sums="178a731ee3435b451f1144bc4a63c9d70d4909a2c434e17c6e07db554df90bd6  apcu-4.0.7.tgz"
+sha512sums="50db51358c9268cc5fdd0d48fb444be9e9356f1690bc1ae021a9618c8819ce8873bf4502fe87a10467ffda2ef38267ccca2af55152b064400c69a8da92b7e98b  apcu-4.0.7.tgz"
diff --git a/main/php-apcu/apcu.ini b/main/php-apcu/apcu.ini
deleted file mode 100644
index 231a43c..0000000
--- a/main/php-apcu/apcu.ini
+++ /dev/null
_at_@ -1 +0,0 @@
-extension=apcu.so
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Nov 07 2015 - 01:15:13 GMT